#include <iostream>
using namespace std;

const int MAXN = 50004;
const int INF = 1 << 30;

int n, a[MAXN], b[MAXN], p[MAXN];
long long cnt_inv = 0;

void Solve(int l, int r)
{
    if (l == r) return;

    int mid = (l + r) / 2;
    Solve(l, mid + 0);
    Solve(mid + 1, r);

    int lp = l, rp = mid + 1, idx = l;
    while (idx <= r)
    {
        int lval = (lp <= mid) ? b[lp] : INF;
        int rval = (rp <= r) ? b[rp] : INF;
        if (lval <= rval) a[idx++] = b[lp++];
        else
        {
            cnt_inv += mid - lp + 1;
            a[idx++] = b[rp++];
        }
    }

    for (int i = l; i <= r; ++ i)
    {
        b[i] = a[i];
    }
}

int main()
{
    cin >> n;
    for (int i = 1; i <= n; ++ i)
    {
        cin >> a[i];
        p[a[i]] = i;
    }
    for (int i = 1; i <= n; ++ i)
    {
        cin >> b[i];
        b[i] = p[b[i]];
    }

    Solve(1, n);

    cout << cnt_inv << endl;
    return 0;
}
